import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsStudentgroupdetail {
  [PrimaryKeyProp]?: 'Id';
  Id!: IType<number, bigint>;
  StudentGroupId!: IType<number, bigint>;
  StudentId!: IType<number, bigint>;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsStudentgroupdetailSchema = defineEntity({
  class: ScsStudentgroupdetail,
  comment: '学生分组详情',
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).autoincrement(false).comment('主键Id'),
    StudentGroupId: p.bigint().name('StudentGroupId').columnType('bigint').comment('模板id').index('idx_SCS_StudentGroupDetail_01'),
    StudentId: p.bigint().name('StudentId').columnType('bigint').comment('学生Id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
